Bug 210328 - [exp-run] security/libgcrypt: Update to 1.7.1
Summary: [exp-run] security/libgcrypt: Update to 1.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL: https://reviews.freebsd.org/D6865
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-16 17:25 UTC by Carlos J. Puga Medina
Modified: 2016-06-20 11:11 UTC (History)
0 users

See Also:
cpm: exp-run?


Attachments
patch (10.50 KB, patch)
2016-06-16 17:25 UTC, Carlos J. Puga Medina
cpm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2016-06-16 17:25:38 UTC
Created attachment 171490 [details]
patch

- Update libgcrypt to 1.7.1
- Remove unneeded patch (added upstream)
- Convert to new test framework

ChangeLog: 

https://lists.gnupg.org/pipermail/gnupg-announce/2016q2/000389.html
Comment 1 Antoine Brodin freebsd_committer 2016-06-17 16:50:36 UTC
Exp-run looks fine
Comment 2 Carlos J. Puga Medina freebsd_committer 2016-06-17 22:39:18 UTC
(In reply to Antoine Brodin from comment #1)

Thanks, Antoine.
Comment 3 commit-hook freebsd_committer 2016-06-17 23:00:45 UTC
A commit references this bug:

Author: cpm
Date: Fri Jun 17 23:00:28 UTC 2016
New revision: 417040
URL: https://svnweb.freebsd.org/changeset/ports/417040

Log:
  - Update to 1.7.1
  - Remove unneeded patch (applied upstream)
  - Convert to new test framework

    https://lists.gnupg.org/pipermail/gnupg-announce/2016q2/000389.html

  PR:		210328
  Reviewed by:	amdmi3, junovitch (mentors)
  Approved by:	amdmi3, junovitch (mentors)
  MFH:		2016Q2
  Exp-run:	antoine
  Differential Revision:	D6865

Changes:
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/distinfo
  head/security/libgcrypt/files/patch-cipher_crc-intel-pclmul.c
  head/security/libgcrypt/files/patch-mpi_longlong.h
  head/security/libgcrypt/pkg-plist
Comment 4 commit-hook freebsd_committer 2016-06-20 11:11:38 UTC
A commit references this bug:

Author: cpm
Date: Mon Jun 20 11:11:10 UTC 2016
New revision: 417151
URL: https://svnweb.freebsd.org/changeset/ports/417151

Log:
  MFH: r413860 r417040

  - Update to 1.7.0
  - Remove unneeded patches (applied upstream)
  - Fix inline assembler error on 9.x
  - Fix pkg-plist

  Changelog: https://lists.gnupg.org/pipermail/gnupg-announce/2016q2/000386.html

  PR:		208907
  Approved by:	junovitch (mentor)
  Exp-run:	antoine
  Differential Revision:	D5989

  - Update to 1.7.1
  - Remove unneeded patch (applied upstream)
  - Convert to new test framework

    https://lists.gnupg.org/pipermail/gnupg-announce/2016q2/000389.html

  PR:		210328
  Reviewed by:	amdmi3, junovitch (mentors)
  Approved by:	amdmi3, junovitch (mentors)
  Exp-run:	antoine
  Differential Revision:	D6865

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/security/libgcrypt/Makefile
  branches/2016Q2/security/libgcrypt/distinfo
  branches/2016Q2/security/libgcrypt/files/patch-cipher_salsa20.c
  branches/2016Q2/security/libgcrypt/files/patch-mpi_longlong.h
  branches/2016Q2/security/libgcrypt/files/patch-src_gcrypt.h.in
  branches/2016Q2/security/libgcrypt/pkg-plist